.\" 1999 PTM Przemek Borys
.\" $XConsortium: xwd.man /main/21 1996/12/09 17:11:08 kaleb $
.\" Copyright (c) 1988, 1994  X Consortium
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.TH XWD 1 "Edycja 6.3" "X wersja 11"
.SH NAZWA
xwd - zrzu obraz okna X
.SH SKADNIA
.B "xwd"
[-debug] [-help] [-nobdrs] [-out \fIplik\fP] [-xy] [-frame] [-add \fIwarto\fP]
[-root | -id \fIid\fP | -name \fInazwa\fP ] [-icmap] [-screen]
[-display \fIwywietlacz\fP]
.SH OPIS
.PP
.I Xwd
to narzdzie do zrzucania zawartoci okien X Window System.
.I Xwd
umoliwia uytkownikom X zapisywanie obrazw okien w specjalnie
sformatowanych plikach zrzutu. Plik ten moe by potem odczytywany przez
rne X-narzdzia w celu ponownego wywietlenia, drukowania, edycji,
formatowania, itp. Okno docelowe jest wybierane przez kliknicie na nim 
wskanikiem myszy. Na pocztku zrzucania wczany jest dzwonek klawiatury, a
po jego zakoczeniu, dzwonek dzwoni dwukrotnie.
.SH OPCJE
.PP
.TP 8
.B "-display \fIwywietlacz\fP"
Argument ten umoliwia okrelenie, do ktrego serwera si podczy; zobacz
\fIX(1)\fP.
.PP
.TP 8
.B "-help"
Wydrukuj informacje o uyciu.
.PP
.TP 8
.B "-nobdrs"
Argument en mwi, e zrzut okna nie powinien zawiera pikseli, skadajcych
si na jego obramowanie. Jest to przydatne w sytuacjach, kiedy yczysz sobie
wczenie zawartoci okna do dokumentu jako ilustracj.
.PP
.TP 8
.B "-out \fIplik\fP"
Ten argument umoliwia uytkownikowi podanie pliku wyjciowego zrzutu.
Domylnym punktem zrzutu jest standardowe wyjcie.
.PP
.TP 8
.B "-xy"
Ta opcja tyczy si tylko kolorowych wywietlaczy. Wybiera format `XY'
zrzucania, zamiast domylnego `Z'.
.PP
.TP 8
.B "-add \fIwarto\fP"
Ta opcja okrela warto ze znakiem, ktra bdzie dodawana do kadego
piksela.
.PP
.TP 8
.B "-frame"
Ta opcja wskazuje, e podczas rcznego wybierania okna, ramka menedera
okien powinna by zaczona.
.PP
.TP 8
.B "-root"
Ta opcja wskazuje, e do zrzutu powinno zosta wybrane okno gwne, bez
wymagania od uytkownika wybrania okna wskanikiem.
.PP
.TP 8
.B "-id \fIid\fP"
Ta opcja wskazuje, e okno o podanym identyfikatorze zasobu powinno by
wybrane do zrzutu, bez oczekiwania od uytkownika wybrania go wskanikiem.
.PP
.TP 8
.B "-name \fInazwa\fP"
Ta opcja wskazuje, e okno o podanej waciwoci WM_NAME powinno by wybrane
do zrzutu, bez oczekiwania od uytkownika wybrania okna wskanikiem.
.PP
.TP 8
.B "-icmap"
Normalnie mapa kolorw wybranego okna uywana jest do uzyskania wartoci
RGB. Ta opcja wymusza zamiast tego uycie zainstalowanej mapy kolorw ekranu.
.PP
.TP 8
.B "-screen"
Ta opcja wskazuje, e danie GetImage, uyte do uzyskania obrazu powinno
by wykonane na raczej oknie gwnym ni bezporednio na okrelonym oknie. W
ten sposb moesz uzyska kawaki innych okien, ktre zakrywaj podane okno,
a co waniejsze, moesz zapa menu i inne elementy, ktre sa niezalene od
okien, lecz istniej na podanym oknie.
.PP
.TP 8
.B "-silent"
Dziaaj cicho, tj. nie dzwo dzwonkami podczas pracy.
.SH RODOWISKO
.PP
.TP 8
.B DISPLAY
Dla uzyskania domylnego hosta i numeru wywietlacza.
.SH PLIKI
.PP
.TP 8
.B XWDFile.h
Plik definicji formatu X Window Dump File.
.SH ZOBACZ TAKE
xwud(1), xpr(1), X(1)
.SH AUTORZY
Tony Della Fera, Digital Equipment Corp., MIT Project Athena
.br
William F. Wyatt, Smithsonian Astrophysical Observatory
