Summary:	xwd application - dump an image of an X window
Summary(pl.UTF-8):	Aplikacja xwd - zrzut obrazu okna X
Name:		xorg-app-xwd
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xwd-%{version}.tar.bz2
# Source0-md5:	11794a8eba6d295a192a8975287fd947
Source1:	xwd.1x.pl
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xwd application is an X Window System window dumping utility. It
allows X users to store window images in a specially formatted dump
file. This file can then be read by various other X utilities for
redisplay, printing, editing, formatting, archiving, image processing,
etc. The target window is selected by clicking the pointer in the
desired window.

%description -l pl.UTF-8
Aplikacja xwd to narzędzie do wykonywania zrzutów okien X Window
System. Umożliwia użytkownikom zapisywanie obrazów okien w plikach o
specjalnym formacie, które później mogą być czytane przez różne inne
narzędzia X do wyświetlania, drukowania, edycji, formatowania,
archiwizacji, przetwarzania itp. Wyboru okna dokonuje się klikając na
nim kursorem.

%prep
%setup -q -n xwd-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/xwd.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xwd
%{_mandir}/man1/xwd.1*
%lang(pl) %{_mandir}/pl/man1/xwd.1*
%changelog
* Fri Mar 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xwd.git;a=log;h=master

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> b86db87
- updated to 1.0.7

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> e81935f
- x32 rebuild
- release 2 (by relup.sh)

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 17d710e
- fixed build without xman suffix

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> d0ce20e
- updated to 1.0.6

* Thu Feb 23 2012 Jakub Bogusz <qboosh@pld-linux.org> ba80875
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> eb777eb
- dropped pre-cvs changelog

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> e6de9a0
- updated BRs

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 63bd44e
- Up to 1.0.4

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> bd23a51
- updated to 1.0.3
- xmuu seems no longer used

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> b27aa1a
- updated to 1.0.2
- informative descs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c60301
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b131b74
- converted to UTF-8

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> fb91a7a
- merged Polish xwd(1x) from old XFree86/X11 packages
- use individual dir, more verbose files, release 1

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 4c1b7c4
- from XFree86-non-english-Xman-pages

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> f4c9e3f
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 03c97a5
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 32dbadb
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ef9a4d7
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> e0b388c
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> f8c4d65
- cleanups, kill /usr/X11R6

